---
batch_connect:
  template: vnc

script:
  native:
    <% if slurm_reservation != '' %>
    - "--reservation=<%= slurm_reservation %>"
    <% end %>
    - "--account=<%= slurm_account %>"
    - "--partition=<%= slurm_partition %>"
    - "--cpus-per-task=<%= slurm_cpu %>"
    - "--mem=<%= slurm_mem %>"
    <% if slurm_gpu_count.to_i > 0 and slurm_gpu != '' %>
    - "--gres=gpu:<%= slurm_gpu %>:<%= slurm_gpu_count %>"
    <% end %>
    <%# if threed == "yes" %>
    #- "--constraint=xfce&virtualgl"
    <%# else %>
    - "--constraint=xfce"
    <%# end %>
